%define __check_files %{nil}


# CPU optimization
##################
%ifarch x86_64
%define sse2 1
%endif

%if 0%{?avx:1}
%define target_processor .avx
%define configure_opts --disable-vmstructs --enable-avx
%else

%if 0%{?sse4:1}
%define target_processor .sse4
%define configure_opts --disable-vmstructs --enable-sse4
%else

%if 0%{?sse3:1}
%define target_processor .sse3
%define configure_opts --disable-vmstructs --enable-sse3
%else

%if 0%{?sse2:1}

%ifnarch x86_64
%define target_processor .sse2
%endif

%define configure_opts --disable-vmstructs --enable-sse2

%endif  # sse2

%endif  # sse3

%endif  # sse4

%endif  # avx
##################


Summary: A Java programming language debugging tool.
Name: heapstats_agent
Version: 1.0.2
Release: 0%{?target_processor:%{target_processor}}%{?dist:%{dist}}%{!?dist:.el5}
License: GPLv2
Vendor: NTT OSS Center
Group: Development/Debuggers
Source: heapstats-%{version}.tar.gz
#Patch0: none
Buildroot: /var/tmp/heapstats

# Requires for running
Requires: pcre >= 6
Requires: net-snmp-libs >= 5.3

# Requires for building
BuildRequires: pcre-devel >= 6
BuildRequires: net-snmp-devel >= 5.3
#BuildRequires: java-1.6.0-openjdk-devel
BuildRequires: /usr/lib/jvm/java-openjdk/bin/javac
BuildRequires: binutils
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool

%description
this program analyze running information in JVM.
Copyright (C) 2011-2014 Nippon Telegraph and Telephone Corporation.

%prep
%setup -q -n heapstats-1.0/agent

%build

%if 0%{?configure_opts:1}
./configure --libdir=%{_libdir}/heapstats --sysconfdir=%{_sysconfdir}/heapstats \
  %{configure_opts}
%else
./configure --libdir=%{_libdir}/heapstats --sysconfdir=%{_sysconfdir}/heapstats
%endif

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/heapstats
make install DESTDIR=${RPM_BUILD_ROOT}
mkdir $RPM_BUILD_ROOT/etc/ld.so.conf.d/
echo "%{_libdir}/heapstats" >> $RPM_BUILD_ROOT/etc/ld.so.conf.d/heapstats_agent.conf
mkdir -p $RPM_BUILD_ROOT/usr/share/snmp/mibs/
cp ./mib/HeapStatsMibs.txt $RPM_BUILD_ROOT/usr/share/snmp/mibs/

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%dir %{_libdir}/heapstats/
%{_libdir}/heapstats/libheapstats*.so*
#%{_libdir}/heapstats/libheapstats.a
%doc NEWS README COPYING AUTHORS ChangeLog
%dir %{_sysconfdir}/heapstats/
%config(missingok) %{_sysconfdir}/heapstats/heapstats.conf
/etc/ld.so.conf.d/heapstats_agent.conf
/usr/share/snmp/mibs/HeapStatsMibs.txt

%changelog
* Mon Mar 31 2014 KUBOTA Yuji <kubota.yuji@lab.ntt.co.jp> 1.0.2-0
- Performance improvement from 1.0.1.
- HeapStats agent supports JDK8 GA features.
- HeapStats change Logo.
- Some bug fixes.

* Mon Sep 01 2013 Yasumasa Suenaga <suenaga.yasumasa@lab.ntt.co.jp> 1.0.1-0
- Performance improvement from 1.0.0 .
- Agent supports Java heap alert.

* Mon Apr 01 2013 Yasumasa Suenaga <suenaga.yasumasa@lab.ntt.co.jp> 1.0.0-0
- Initial Release

